TLS API-Referenz
v1.6.2
Get TLS organization
Retrieve a single DigiCert-backed TLS organization by its public organization id.
GET
/tls/organization/{organization_id}
TLSOrganizationsByID
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
organization_id
string
-
Pflicht
Public TLS organization ID
Request-Beispiel
GET
curl --request GET \
--url 'https://api.regfish.com/tls/organization/hdl_7K9QW3M2ZT8HJ' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
TLS organization details
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"id": "hdl_7K9QW3M2ZT8HJ",
"organization": "example",
"status": "ready",
"usable_for_ordering": true,
"first_name": "example",
"last_name": "example",
"address": "example",
"postal_code": "example",
"city": "example",
"country_code": "example",
"phone": "example",
"email": "example"
}
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS organization not found
Response-Beispiel 404
{
"success": false,
"message": "TLS organization not found",
"error": "TLS organization not found"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.